export async function directus<T>(path: string): Promise<T> {
  return await fetch(`https://directus.swablab.de/${path}`)
    .then((res) => res.json())
    .then((res) => res.data)
}

export function formatDate(
  date: string | number | Date | undefined,
  style: "short" | "medium" | "long",
) {
  if (date == null) return ""
  return Intl.DateTimeFormat("de-DE", {
    dateStyle: style,
  }).format(new Date(date))
}

export function formatTime(date: string | number | Date | undefined) {
  if (date == null) return ""
  return Intl.DateTimeFormat("de-DE", {
    timeStyle: "short",
  }).format(new Date(date))
}

export const documents = {
  "3DDruckAGB": "/docs/3d-druck-agb.pdf",
  Beitragsordnung: "/docs/beitragsordnung.pdf",
  Beleg: "/docs/beleg.pdf",
  Datenschutzhinweise: "/docs/datenschutz.pdf",
  Haftungsausschluss: "/docs/haftungsausschluss.pdf",
  Mitgliedsantrag: "/docs/mitgliedsantrag.pdf",
  Satzung: "/docs/satzung.pdf",
  "Werkstatt-AGB": "/docs/werkstatt-agb.pdf",
  "Werkstatt-Regeln": "/docs/werkstatt-regeln.pdf",
}
